Badges
Retrieve Badge details
Retrives details of the specific badge issued.
- GET
/api/v1/issuers/organization/badges/{badge_id}
Issued Badges listing
Retrieves the list of badges issued by the organization.
- GET
/api/v1/issuers/organization/badges
Query parameters
public: Retrieves by public status (1for true,0for false).recipient_email: Filter by recipient email address.email_id: Retrieve by specific email ID.badge_template_version_id: Retrieve by a specific badge template version ID.created_at_after: Retrieves records created after the date passed, date formatYYYY-MM-DD.created_at_before: Retrieves records created before the date pased, date formatYYYY-MM-DD.expires_at_before:Retrieves records that expire before the date passed, date formatYYYY-MM-DD.expired_at_after: Retrieves records that expire after the date passed, date formatYYYY-MM-DD.search: Searches for the records matching the criteria within fieldsrecipient_first_name,recipient_last_name,id.
Export the list of Badges issued
Allows to export the list of badges issued by the organization in .xls format.
- GET
/api/v1/issuers/organization/badges/export
Query parameters
Accepted values are the same as for the Badge listing
Revoke a Badge
Revokes a badge that has been issued to an Earner.
- POST
/api/v1/issuers/badges/{badge_id}/revoke